shipink-logo-vector-svgDocumentation

Shipments

Create, list, and delete shipments.

List shipments

Returns a paginated list of your shipments.

GET
/shipments
AuthorizationBearer <token>

Authenticate using the access_token obtained from POST /token.

Format: Authorization: Bearer {access_token}

In: header

Query Parameters

page?integer

Page number

Default1
Range1 <= value
limit?integer

Number of items per page

Default10
Range1 <= value <= 100

Response Body

application/json

curl -X GET "https://api.shipink.io/shipments"
{
  "data": [
    {
      "id": "17ebb574-f53f-43c2-bcf6-8984f7fc100b",
      "order_id": "Nc220IyHvpV_",
      "direction": "outgoing",
      "carrier_service_id": "sendeo_standart",
      "carrier_account_id": "f75e6e0b-5b32-4081-9995-a8c43b1b6fb9",
      "warehouse_id": "825f5f2b-307c-4cc1-9373-6d0c4692d478",
      "tracking_number": "507855220681824288",
      "status": "created",
      "packages": [
        {
          "dimension_unit": "cm",
          "height": 10,
          "length": 20,
          "width": 15,
          "weight": 1,
          "weight_unit": "kg"
        }
      ],
      "sales_invoice": {
        "no": "EFA2024001",
        "date": "2024-03-15T13:21:08Z",
        "url": "https://example.com/invoice.pdf"
      },
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "pagination": {
    "page": 1,
    "limit": 10,
    "total": 100
  }
}

Create a shipment

Creates a shipment for the specified order.

direction values:

  • outgoing — standard delivery
  • incoming — return shipment
POST
/shipments
AuthorizationBearer <token>

Authenticate using the access_token obtained from POST /token.

Format: Authorization: Bearer {access_token}

In: header

Header Parameters

X-Language?string

Language code for the shipping label

Value in"TR" | "EN"
direction?string

outgoing: standard delivery, incoming: return shipment

Value in"outgoing" | "incoming"
order_idstring
carrier_service_idstring
carrier_account_idstring
Formatuuid
warehouse_idstring
Formatuuid
sales_invoice?
packages
card_id?string

Payment card ID

Formatuuid

Response Body

application/json

curl -X POST "https://api.shipink.io/shipments" \  -H "Content-Type: application/json" \  -d '{    "direction": "outgoing",    "order_id": "Nc220IyHvpV_",    "carrier_service_id": "sendeo_standart",    "carrier_account_id": "efd4158f-75ca-4922-b8cc-c27e209db7e1",    "warehouse_id": "b4213a03-d4c3-41f8-8090-886e273de746",    "sales_invoice": {      "no": "EFA2024001",      "date": "2024-03-15T13:21:08Z",      "url": "https://example.com/invoice.pdf"    },    "packages": [      {        "dimension_unit": "cm",        "height": 10,        "length": 20,        "width": 15,        "weight": 1,        "weight_unit": "kg"      }    ]  }'
{
  "id": "17ebb574-f53f-43c2-bcf6-8984f7fc100b",
  "order_id": "Nc220IyHvpV_",
  "direction": "outgoing",
  "carrier_service_id": "sendeo_standart",
  "carrier_account_id": "f75e6e0b-5b32-4081-9995-a8c43b1b6fb9",
  "warehouse_id": "825f5f2b-307c-4cc1-9373-6d0c4692d478",
  "tracking_number": "507855220681824288",
  "status": "created",
  "packages": [
    {
      "dimension_unit": "cm",
      "height": 10,
      "length": 20,
      "width": 15,
      "weight": 1,
      "weight_unit": "kg"
    }
  ],
  "sales_invoice": {
    "no": "EFA2024001",
    "date": "2024-03-15T13:21:08Z",
    "url": "https://example.com/invoice.pdf"
  },
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}

Get a shipment

Returns the details of the specified shipment.

GET
/shipments/{shipment_id}
AuthorizationBearer <token>

Authenticate using the access_token obtained from POST /token.

Format: Authorization: Bearer {access_token}

In: header

Path Parameters

shipment_idstring

Shipment ID

Formatuuid

Response Body

application/json

curl -X GET "https://api.shipink.io/shipments/17ebb574-f53f-43c2-bcf6-8984f7fc100b"
{
  "id": "17ebb574-f53f-43c2-bcf6-8984f7fc100b",
  "order_id": "Nc220IyHvpV_",
  "direction": "outgoing",
  "carrier_service_id": "sendeo_standart",
  "carrier_account_id": "f75e6e0b-5b32-4081-9995-a8c43b1b6fb9",
  "warehouse_id": "825f5f2b-307c-4cc1-9373-6d0c4692d478",
  "tracking_number": "507855220681824288",
  "status": "created",
  "packages": [
    {
      "dimension_unit": "cm",
      "height": 10,
      "length": 20,
      "width": 15,
      "weight": 1,
      "weight_unit": "kg"
    }
  ],
  "sales_invoice": {
    "no": "EFA2024001",
    "date": "2024-03-15T13:21:08Z",
    "url": "https://example.com/invoice.pdf"
  },
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}
Empty

Delete a shipment

Deletes the specified shipment.

DELETE
/shipments/{shipment_id}
AuthorizationBearer <token>

Authenticate using the access_token obtained from POST /token.

Format: Authorization: Bearer {access_token}

In: header

Path Parameters

shipment_idstring

Shipment ID

Formatuuid

Response Body

application/json

curl -X DELETE "https://api.shipink.io/shipments/17ebb574-f53f-43c2-bcf6-8984f7fc100b"
{
  "message": "Operation completed successfully."
}

How is this guide?